Bug 247515 - Review Request: php-pecl-phar - Allows running of complete applications out of .phar files
Review Request: php-pecl-phar - Allows running of complete applications out o...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-09 14:08 EDT by Remi Collet
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 08:51:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2007-07-09 14:08:33 EDT
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pecl-phar.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pecl-phar-1.2.0-1.fc8.src.rpm
Mock Log: http://remi.collet.free.fr/rpms/extras/php-pecl-phar-build.log
Description: 
This is the extension version of PEAR's PHP_Archive package. Support for
zlib, bz2 and crc32 is achieved without any dependency other than the
external zlib or bz2 extension.

.phar files can be read using the phar stream, or with the Phar class.
If the SPL extension is available, a Phar object can be used as an array
to iterate over a phar's contents or to read files directly from the phar.

Phar archives can be created using the streams API or with the Phar class,
if the phar.readonly ini variable is set to false.

Full support for MD5 and SHA1 signatures is possible. Signatures can be
required if the ini variable phar.require_hash is set to true.
When PECL extension hash is available then SHA-256 and SHA-512 signatures
are supported as well.

-- 
As this package requies php >= 5.2.0, it will be only available in F >= 7

Note : this spec use some new stuff for pecl extension :
- register pecl extension (as pear extension)
- run test in %check (at least, find a way to do this)

The phar.phar command is a good phar example ;)
Comment 1 Jason Tibbitts 2007-07-12 23:34:39 EDT
This looks mostly OK.  I guess it would be good to augment the PHP guidelines
with the extra bits like pecl module registration.

The spec doesn't use macros consistently.  In some places it uses %{__mkdir_p}
while others have "mkdir -p".  %{__install} needs to be used as well.

Since the only issue I can find is four commands that need to be converted to
macros, I'll go ahead and approve this and you can fix it when you check in.

Review:
* source files match upstream:
   83fad1a7946e8355aebf40e4928a2a6323c86f16df41ad9f67fa3b3852229fc8  
   phar-1.2.0.tgz
* package meets naming and versioning guidelines.
* specfile is properly named.
X specfile does not use macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   config(php-pecl-phar) = 1.2.0-1.fc8
   phar.so()(64bit)
   php-pecl(phar) = 1.2.0-1.fc8
   php-pecl-phar = 1.2.0-1.fc8
  =
   /bin/sh
   /usr/bin/pecl
   /usr/bin/php
   config(php-pecl-phar) = 1.2.0-1.fc8
   php(api) = 20041225
   php(zend-abi) = 20060613
   php-bz2
   php-common >= 5.2.0
   php-hash

* %check is present and all tests pass:
   TEST RESULT SUMMARY
   ---------------------------------------------------------------------
   Exts skipped    :    0
   Exts tested     :   34
   ---------------------------------------------------------------------

   Number of tests :   97                95
   Tests skipped   :    2 (  2.1%) --------
   Tests warned    :    0 (  0.0%) (  0.0%)
   Tests failed    :    0 (  0.0%) (  0.0%)
   Tests passed    :   95 ( 97.9%) (100.0%)

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pecl module registration)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED, just fix the two "mkdir -p" and two "install" calls to be macros like
the rest of the spec.
Comment 2 Remi Collet 2007-07-14 13:28:54 EDT
New Package CVS Request
=======================
Package Name: php-pecl-phar
Short Description: Allows running of complete applications out of .phar files
Owners: fedora@famillecollet.com
Branches: F-7 devel
InitialCC:
Comment 3 Kevin Fenzi 2007-07-15 00:14:22 EDT
cvs done.
Comment 4 Remi Collet 2007-07-15 11:26:24 EDT
Push to devel only.

Waiting some feedback (fedora-php-devel-list) for a proposal of update of PHP
Guidelines (pecl module registration).


Note You need to log in before you can comment on or make changes to this bug.